PATCH /accounts/{id}

Set or clear the account's externalId

PATCH
/accounts/{id}

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

Account id

Request Body

application/json
  1. body
externalId*|

null or "" clears it

Lengthlength <= 200

Response Body

{account}

application/json
  1. response
account?
Example Request
curl -X PATCH 'https://example.com/api/v1/accounts/string' \  -H 'Content-Type: application/json' \  -d '{  "externalId": "string"}'
Example Response
{  "account": {    "id": "string",    "platform": "instagram",    "accountName": "string",    "platformAccountId": "string",    "requireApproval": true,    "externalId": "string",    "status": "active",    "lastError": "string",    "tokenExpiresAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z"  }}